lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'vmexec/version'

Gem::Specification.new do |s|
  s.name        = 'vmexec'

  if ENV['OS_BUILD_ID']
    s.version   = "#{VmExec::VERSION}.build#{ENV['OS_BUILD_ID']}"
  else
    s.version   = VmExec::VERSION
  end

  s.summary     =
  s.description = "Run and interact with vpsAdminOS virtual machines"
  s.authors     = 'Jakub Skokan'
  s.email       = 'jakub.skokan@vpsfree.cz'
  s.files       = `git ls-files -z`.split("\x0")
  s.files      += Dir['man/man?/*.?']
  s.executables = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.license     = 'Apache-2.0'

  s.required_ruby_version = '>= 2.0.0'

  s.add_development_dependency 'md2man'
  s.add_development_dependency 'rake'
  s.add_development_dependency 'yard'
end
